---
name: Checkbox
route: /Form/Checkbox
menu: Form
---

import { Playground, PropsTable } from 'docz'
import { Checkbox } from '../../../src'
import { Alert } from 'react-native'
import { colors } from '@barcard/functions'

## Checkbox

## About

Configurable form checkbox component with custom label styling and `onChange`
event.

## Properties

<PropsTable of={Checkbox} includeDescription={true} />

## Basic Usage

<Playground>
  <Checkbox
    column={true}
    label={'Sample Checkbox Active'}
    onChange={val => alert('onChange called!')}
    value={true}
    labelStyle={{
      color: colors.white,
    }}
  />
  <Checkbox
    column={true}
    label={'Sample Checkbox Inactive'}
    onChange={val => alert('onChange called!')}
    value={false}
    labelStyle={{
      color: colors.white,
    }}
  />
</Playground>
